Bug 1254790 - Xorg segfault on (OsLookupColor+0x139) at address 0x18
Xorg segfault on (OsLookupColor+0x139) at address 0x18
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 17:07 EDT by Mihai Harpau
Modified: 2017-04-11 11:55 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:33:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log.old log (28.23 KB, text/plain)
2015-08-18 17:07 EDT, Mihai Harpau
no flags Details
nvidia-bug-report (132.26 KB, application/x-gzip)
2015-10-17 03:54 EDT, Maxim Prohorenko
no flags Details
Nvidia crash Xorg.0.log.old (22.86 KB, text/plain)
2015-10-23 09:59 EDT, Tomi Leppänen
no flags Details
Nvidia crash Xorg.0.log.old with older Xorg 1.17.1-11.fc22 (22.08 KB, text/plain)
2015-10-24 09:47 EDT, Tomi Leppänen
no flags Details

  None (edit)
Description Mihai Harpau 2015-08-18 17:07:56 EDT
Created attachment 1064503 [details]
Xorg.0.log.old log

Description of problem:
It happens randomly but often enough after F21 -> F22 upgrade in June.

Version-Release number of selected component (if applicable):
ThinkPad T430 laptop
xorg-x11-server-Xorg-1.17.2-2.fc22.x86_64
xorg-x11-drv-intel-2.99.917-12.20150615.fc22.x86_64
kernel-4.1.4-200.fc22.x86_64 (but it happened with almost all F22 kernels)

How reproducible:
Usually is happened when I try to enter on Gnome 3 session locked by screensaver

Steps to Reproduce:
1.
2.
3.

Actual results:
[  2612.328] (EE) 
[  2612.328] (EE) Backtrace:
[  2612.331] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59a489]
[  2612.333] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f1ddf316a4f]
[  2612.334] (EE) 2: /usr/libexec/Xorg (PictureStoreColors+0x145) [0x50d505]
[  2612.334] (EE) 3: /usr/libexec/Xorg (ValidatePicture+0x9) [0x50fe19]
[  2612.334] (EE) 4: /usr/libexec/Xorg (CompositePicture+0x99) [0x50fed9]
[  2612.334] (EE) 5: /usr/libexec/Xorg (AddTraps+0x4157) [0x518717]
[  2612.334] (EE) 6: /usr/libexec/Xorg (SendErrorToClient+0x2ff) [0x43a4ff]
[  2612.334] (EE) 7: /usr/libexec/Xorg (remove_fs_handlers+0x41b) [0x43e5fb]
[  2612.335] (EE) 8: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f1ddf302700]
[  2612.335] (EE) 9: /usr/libexec/Xorg (_start+0x29) [0x4289c9]
[  2612.336] (EE) 10: ? (?+0x29) [0x29]
[  2612.336] (EE) 
[  2612.336] (EE) Segmentation fault at address 0x18
[  2612.336] (EE) 
Fatal server error:
[  2612.336] (EE) Caught signal 11 (Segmentation fault). Server aborting
[  2612.336] (EE) 
[  2612.336] (EE) 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
[  2612.336] (EE) Please also check the log file at "/home/mihai/.local/share/xorg/Xorg.0.log" for additional information.
[  2612.336] (EE) 
[  2612.336] (II) AIGLX: Suspending AIGLX clients for VT switch
[  2612.368] (EE) Server terminated with error (1). Closing log file.


Expected results:
no crash

Additional info:
There are a few bugs showing OsLookupColor being at the base of the call stack but this crash show a different trace.
Comment 1 Gregor Larson 2015-08-31 14:42:17 EDT
Do you have multiple GPU in your laptop?

Try: lspci | grep -i vga

If so, you might try a workaround blacklisting the kernel module for the unused GPU. Your log shows you using an Intel GPU, so you would blacklist the kernel module for the other one: radeon or nvidia
Comment 2 Mihai Harpau 2015-08-31 16:28:19 EDT
I have only Intel GPU

[root@sysop ~]# lspci | grep -i vga
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
[root@sysop ~]# lspci -vn | grep -i vga
00:02.0 0300: 8086:0166 (rev 09) (prog-if 00 [VGA controller])
[root@sysop ~]#

The workaround that seems to work is 
i915.enable_ips=0
on kernel grub line.
Comment 3 ByteEnable 2015-09-05 15:04:04 EDT
(EE) Backtrace:
(EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59a489]
(EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x35b5c34a4f]
(EE) 2: /usr/libexec/Xorg (dixLookupResourceByType+0xcc) [0x45eefc]
(EE) 3: /usr/libexec/Xorg (dixDestroyPixmap+0x23f) [0x435dbf]
(EE) 4: /usr/libexec/Xorg (SendErrorToClient+0x2ff) [0x43a4ff]
(EE) 5: /usr/libexec/Xorg (remove_fs_handlers+0x41b) [0x43e5fb]
(EE) 6: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x35b5c20700]
(EE) 7: /usr/libexec/Xorg (_start+0x29) [0x4289c9]
(EE) 8: ? (?+0x29) [0x29]
(EE)
(EE) Segmentation fault at address 0x40000000c
(EE)
Fatal server error:
(EE) Caught signal 11 (Segmentation fault). Server aborting

I have two graphics card on my laptop.  One Intel, the other NVidia.

This started happening on F22.  More specifically started happening when Firefox started supporting the HTML5 player.  Happens after I go full screen and back after watching a youtube video.
Comment 4 Mihai Harpau 2015-09-07 14:49:30 EDT
It happens again for me but this time trace include also xorg-x11-drv-intel:

[ 47301.612] (EE) Backtrace:
[ 47301.616] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59a489]
[ 47301.617] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7fcb63e78a4f]
[ 47301.618] (EE) 2: /usr/lib64/xorg/modules/drivers/intel_drv.so (_init+0x71f0d) [0x7fcb5eb54abd]
[ 47301.618] (EE) 3: /usr/libexec/Xorg (AddTraps+0x4d72) [0x519f82]
[ 47301.618] (EE) 4: /usr/libexec/Xorg (SendErrorToClient+0x2ff) [0x43a4ff]
[ 47301.619] (EE) 5: /usr/libexec/Xorg (remove_fs_handlers+0x41b) [0x43e5fb]
[ 47301.619] (EE) 6: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7fcb63e64700]
[ 47301.619] (EE) 7: /usr/libexec/Xorg (_start+0x29) [0x4289c9]
[ 47301.620] (EE) 8: ? (?+0x29) [0x29]
[ 47301.620] (EE) 
[ 47301.620] (EE) Segmentation fault at address 0x0
[ 47301.620] (EE) 
Fatal server error:
[ 47301.620] (EE) Caught signal 11 (Segmentation fault). Server aborting

So what has changed since last time are the following:

xorg-x11-drv-intel-2.99.917-15.20150729.fc22.x86_64
kernel-4.1.6-200.fc22.x86_64
on kernel grub line I used i915.enable_ips=0


I will try to use following workaround:

Section "Device"
        Identifier  "Intel Graphics"
        Driver      "intel"
        Option      "AccelMethod"  "uxa"
EndSection

in /etc/X11/xorg.conf.d/20-intel.conf
Comment 5 Christian Stadelmann 2015-09-18 20:14:50 EDT
Does this crash only happen with libva-intel-driver installed? If yes it seems like you run into https://bugs.freedesktop.org/show_bug.cgi?id=91254 which is fixed in mesa 10.6.6. Can you check that?
Comment 6 Mihai Harpau 2015-09-20 08:16:40 EDT
It happens again with an almost identical trace like in comment 0:

[ 25636.489] (EE) 
[ 25636.489] (EE) Backtrace:
[ 25636.493] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59a489]
[ 25636.494] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7fbcdd9a4a4f]
[ 25636.495] (EE) 2: /usr/libexec/Xorg (PictureStoreColors+0x138) [0x50d4f8]
[ 25636.495] (EE) 3: /usr/libexec/Xorg (ValidatePicture+0x9) [0x50fe19]
[ 25636.495] (EE) 4: /usr/libexec/Xorg (CompositeRects+0x4b) [0x51023b]
[ 25636.495] (EE) 5: /usr/libexec/Xorg (AddTraps+0x4242) [0x5189d2]
[ 25636.495] (EE) 6: /usr/libexec/Xorg (SendErrorToClient+0x2ff) [0x43a4ff]
[ 25636.495] (EE) 7: /usr/libexec/Xorg (remove_fs_handlers+0x41b) [0x43e5fb]
[ 25636.496] (EE) 8: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7fbcdd990700]
[ 25636.496] (EE) 9: /usr/libexec/Xorg (_start+0x29) [0x4289c9]
[ 25636.497] (EE) 10: ? (?+0x29) [0x29]
[ 25636.497] (EE) 
[ 25636.497] (EE) Segmentation fault at address 0x300000044
[ 25636.497] (EE) 
Fatal server error:
[ 25636.497] (EE) Caught signal 11 (Segmentation fault). Server aborting
[ 25636.497] (EE) 
[ 25636.497] (EE) 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
[ 25636.497] (EE) Please also check the log file at "/home/mihai/.local/share/xorg/Xorg.0.log" for additional information.
[ 25636.497] (EE) 
[ 25636.497] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 25636.530] (EE) Server terminated with error (1). Closing log file.


This time configuration is as following:
xorg-x11-drv-intel-2.99.917-15.20150729.fc22.x86_64
kernel-4.1.6-201.fc22.x86_64
mesa-libEGL-10.6.3-3.20150729.fc22.x86_64


I used now default accelmethod SNA and default X11 configuration for my platform
(Thinkpad T430) without libva-intel-driver:

[    49.320] (II) intel(0): SNA initialized with Ivybridge (gen7, gt2) backend
[    49.320] (==) intel(0): Backing store enabled
[    49.320] (==) intel(0): Silken mouse enabled
[    49.321] (II) intel(0): HW Cursor enabled
[    49.321] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[    49.323] (==) intel(0): DPMS enabled
[    49.323] (==) intel(0): Display hotplug detection enabled
[    49.323] (II) intel(0): [DRI2] Setup complete
[    49.323] (II) intel(0): [DRI2]   DRI driver: i965
[    49.323] (II) intel(0): [DRI2]   VDPAU driver: va_gl
[    49.323] (II) intel(0): direct rendering: DRI2 enabled
[    49.323] (II) intel(0): hardware support for Present enabled

I was hoping that by updating mesa to at least mesa-10.6.3-2.20150729.fc22 version will fix the issue but unfortunately is not so.
Comment 7 Maxim Prohorenko 2015-10-17 03:06:31 EDT
[   171.172] (EE) Backtrace:
[   171.428] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59add9]
[   171.546] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f550b367b1f]
[   171.555] (EE) 2: /lib64/libnvidia-glcore.so.355.11 (nvidiaAddDrawableHandler+0x59b24c) [0x7f5506416c78]
[   171.555] (EE) 
[   171.555] (EE) Segmentation fault at address 0xe012000f8
[   171.555] (EE) 
Fatal server error:
[   171.555] (EE) Caught signal 11 (Segmentation fault). Server aborting
[   171.555] (EE) 
[   171.555] (EE) 
Please consult the Fedora Project support 
	 at http://wiki.x.org

lspci | grep VGA
01:00.0 VGA compatible controller: NVIDIA Corporation GF114M [GeForce GTX 670M] (rev a1)

uname -a
Linux qosmio 4.3.0-0.rc5.git1.2.fc24.x86_64 #1 SMP Wed Oct 14 17:44:25 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
NVIDIA-Linux-x86_64-355.11 nouveau driver crashed too

xorg-x11-apps.x86_64                                                          7.7-14.fc23                                                              @fedora         
xorg-x11-drv-ati.x86_64                                                       7.6.0-0.4.20150729git5510cd6.fc23                                        @updates-testing
xorg-x11-drv-evdev.x86_64                                                     2.9.99-2.20150807git66c997886.fc23                                       @updates-testing
xorg-x11-drv-fbdev.x86_64                                                     0.4.3-23.fc23                                                            @updates-testing
xorg-x11-drv-intel.x86_64                                                     2.99.917-16.20150729.fc23                                                @updates-testing
xorg-x11-drv-libinput.x86_64                                                  0.14.0-2.fc23                                                            @updates-testing
xorg-x11-drv-openchrome.x86_64                                                0.3.3-17.fc23                                                            @updates-testing
xorg-x11-drv-qxl.x86_64                                                       0.1.4-6.fc23                                                             @updates-testing
xorg-x11-drv-synaptics.x86_64                                                 1.8.2-4.fc23                                                             @updates-testing
xorg-x11-drv-vesa.x86_64                                                      2.3.2-23.fc23                                                            @updates-testing
xorg-x11-drv-vmmouse.x86_64                                                   13.1.0-2.fc23                                                            @updates-testing
xorg-x11-drv-vmware.x86_64                                                    13.0.2-10.20150211git8f0cf7c.fc23                                        @updates-testing
xorg-x11-drv-wacom.x86_64                                                     0.30.0-3.fc23                                                            @updates-testing
xorg-x11-font-utils.x86_64                                                    1:7.5-29.fc23                                                            @System         
xorg-x11-fonts-misc.noarch                                                    7.5-15.fc23                                                              @fedora         
xorg-x11-proto-devel.noarch                                                   7.7-16.fc23                                                              @fedora         
xorg-x11-server-Xorg.x86_64                                                   1.18.0-0.5.20150907.fc23                                                 @updates-testing
xorg-x11-server-Xwayland.x86_64                                               1.18.0-0.5.20150907.fc23                                                 @updates-testing
xorg-x11-server-common.x86_64                                                 1.18.0-0.5.20150907.fc23                                                 @updates-testing
xorg-x11-server-utils.x86_64                                                  7.7-16.fc23                                                              @System         
xorg-x11-utils.x86_64                                                         7.5-20.fc23                                                              @System         
xorg-x11-xauth.x86_64                                                         1:1.0.9-4.fc23                                                           @System         
xorg-x11-xbitmaps.noarch                                                      1.1.1-8.fc23                                                             @fedora         
xorg-x11-xinit.x86_64                                                         1.3.4-10.fc23                                                            @System         
xorg-x11-xkb-utils.x86_64                                                     7.7-15.fc23                                                              @System
Comment 8 Maxim Prohorenko 2015-10-17 03:54 EDT
Created attachment 1083885 [details]
nvidia-bug-report

sudo LANG=C nvidia-bug-report.sh
Comment 9 Tomi Leppänen 2015-10-23 09:59 EDT
Created attachment 1085851 [details]
Nvidia crash Xorg.0.log.old

I'm also hit by this bug, but I'm using Nvidia's proprietary drivers on F22 (gdm + Gnome 3). If I play Counter Strike: Global Offensive I get this segfault after a while. I don't think this happened last week when I was playing CS:GO.

[   170.261] (EE) 
[   170.261] (EE) Backtrace:
[   170.266] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59a5a9]
[   170.267] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f6e7b72ba4f]
[   170.267] (EE) 2: /usr/libexec/Xorg (SendErrorToClient+0x4cb) [0x43a6cb]
[   170.267] (EE) 3: /usr/libexec/Xorg (remove_fs_handlers+0x41b) [0x43e5fb]
[   170.268] (EE) 4: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f6e7b717700]
[   170.268] (EE) 5: /usr/libexec/Xorg (_start+0x29) [0x4289c9]
[   170.269] (EE) 6: ? (?+0x29) [0x29]
[   170.269] (EE) 
[   170.269] (EE) Segmentation fault at address 0x0
[   170.269] (EE) 
[   170.269] (EE) Caught signal 11 (Segmentation fault). Server aborting
[   170.269] (EE) 
[   170.269] (EE) 
[   170.269] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[   170.269] (EE) 
[   170.531] (EE) Server terminated with error (1). Closing log file.
Comment 10 Tomi Leppänen 2015-10-23 10:40:23 EDT
Downgraded xorg and this segfault doesn't happen anymore.
# dnf downgrade xorg-x11-server-Xorg xorg-x11-drv-libinput
rebooted (and made symbolic links for Nvidia's libglx).
Comment 11 Tomi Leppänen 2015-10-24 09:47 EDT
Created attachment 1086083 [details]
Nvidia crash Xorg.0.log.old with older Xorg 1.17.1-11.fc22

Downgrading didn't help after all. Crashing with CSGO disappeared but now it crashes often when I'm typing to Firefox's address bar. 

[  3714.616] (EE) Backtrace:
[  3714.618] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x599d89]
[  3714.619] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7fd84812aa4f]
[  3714.619] (EE) 2: /usr/libexec/Xorg (ChangePicture+0xa7) [0x50ecc7]
[  3714.619] (EE) 3: /usr/libexec/Xorg (CreatePicture+0x136) [0x50f506]
[  3714.619] (EE) 4: /usr/libexec/Xorg (AddTraps+0x3403) [0x516823]
[  3714.619] (EE) 5: /usr/libexec/Xorg (SendErrorToClient+0x2ff) [0x43a23f]
[  3714.620] (EE) 6: /usr/libexec/Xorg (remove_fs_handlers+0x41b) [0x43e33b]
[  3714.620] (EE) 7: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7fd848116700]
[  3714.620] (EE) 8: /usr/libexec/Xorg (_start+0x29) [0x428729]
[  3714.621] (EE) 9: ? (?+0x29) [0x29]
[  3714.621] (EE) 
[  3714.621] (EE) Segmentation fault at address 0x0
[  3714.621] (EE) 
Fatal server error:
[  3714.621] (EE) Caught signal 11 (Segmentation fault). Server aborting

$ LANG=C dnf info xorg-x11-server-Xorg
Last metadata expiration check performed 7 days, 2:34:22 ago on Sat Oct 17 14:10:14 2015.
Installed Packages
Name        : xorg-x11-server-Xorg
Arch        : x86_64
Epoch       : 0
Version     : 1.17.1
Release     : 11.fc22
Size        : 3.5 M
Repo        : @System
From repo   : fedora
Summary     : Xorg X server
URL         : http://www.x.org
License     : MIT
Description : 

Available Packages
Name        : xorg-x11-server-Xorg
Arch        : x86_64
Epoch       : 0
Version     : 1.17.2
Release     : 2.fc22.2
Size        : 1.4 M
Repo        : updates
Summary     : Xorg X server
URL         : http://www.x.org
License     : MIT
Description :
Comment 12 navid r 2015-10-29 14:46:28 EDT
I am encountering this bug since today, 

extra information :

fpaste --sysinfo
http://paste.fedoraproject.org/284961/61440491/

cat .local/share/xorg/Xorg.0.log.old | fpaste
http://paste.fedoraproject.org/284956/14370714/
Comment 13 Clem Taylor 2015-11-07 22:44:22 EST
I updated from fedora 22 to 23 and encountered this bug after 85 minutes of uptime.

[  5141.773] (EE) 
[  5141.773] (EE) Backtrace:
[  5141.775] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59afd9]
[  5141.775] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f6cecbafb1f]
[  5141.778] (EE) 2: /lib64/libnvidia-glcore.so.358.09 (nvidiaAddDrawableHandler+0x542b0d) [0x7f6ce7b82a4a]
[  5141.778] (EE) 
[  5141.778] (EE) Segmentation fault at address 0x111
[  5141.778] (EE)
Comment 14 Clem Taylor 2015-11-07 23:27:37 EST
Died a second time, within 30 seconds of launching firefox and loading a new page.

[  8079.981] (EE) Backtrace:
[  8079.982] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59afd9]
[  8079.982] (EE) 1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f5e28a69b1f]
[  8079.983] (EE) 2: /lib64/libnvidia-glcore.so.358.09 (nvidiaAddDrawableHandler+0x542cec) [0x7f5e23a3ce08]
[  8079.983] (EE) 
[  8079.983] (EE) Segmentation fault at address 0x98
Comment 15 Mark van Rossum 2015-12-30 10:54:53 EST
Maybe same as bug 1294536 and 1282260
Can you play a mp4 file to test?
Comment 16 Mark van Rossum 2016-02-21 09:45:02 EST
Similar bug was solved for me with latest intel drv
xorg-x11-drv-intel-2.99.917-19.20151206.fc23.x86_64

please check and close if it solves it.
Comment 17 olegon.ru 2016-02-21 09:54:28 EST
It crashed 4 times this morning (with this drivers), so I reinstall Fedora. If problem repeated, I'll write about this.
Comment 18 Fedora End Of Life 2016-07-19 13:33:59 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 19 Adriano Mourão 2017-04-11 11:55:14 EDT
I'm able to reproduce this failure on F25: **libva-intel-driver** is not installed and I'm part of the video group. There is a detailed bug description at

https://ask.fedoraproject.org/en/question/104087/f25-with-broken-xorg-on-an-intel-only-gpu/

The crash has raised the following `/var/log/Xorg.0.log`:

``
[   580.012] X Protocol Version 11, Revision 0
[   580.012] Build Operating System:  4.9.3-200.fc25.x86_64 
[   580.012] Current Operating System: Linux monkeebutt.curseddog.org 4.10.8-200.fc25.x86_64 #1 SMP Fri Mar 31 13:20:22 UTC 2017 x86_64
[   580.012] Kernel command line: BOOT_IMAGE=/vmlinuz-4.10.8-200.fc25.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet i915.enable_ips=0 pci=noaer
[   580.012] Build Date: 15 March 2017  06:37:12PM
[   580.012] Build ID: xorg-x11-server 1.19.3-1.fc25 
[   580.012] Current version of pixman: 0.34.0
[   580.013] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[   580.013] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   580.013] (==) Log file: "/var/log/Xorg.0.log", Time: Tue Apr 11 12:36:32 2017
[   580.013] (II) Loader magic: 0x825e00
[   580.013] (II) Module ABI versions:
[   580.013] 	X.Org ANSI C Emulation: 0.4
[   580.013] 	X.Org Video Driver: 23.0
[   580.013] 	X.Org XInput driver : 24.1
[   580.013] 	X.Org Server Extension : 10.0
[   580.016] (--) using VT number 3

[   580.016] (II) systemd-logind: logind integration requires -keeptty and -keeptty was not provided, disabling logind integration
[   580.016] (II) xfree86: Adding drm device (/dev/dri/card0)
[   580.017] (EE) 
[   580.018] (EE) Backtrace:
[   580.019] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59ea19]
[   580.019] (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x7f29651225bf]
[   580.020] (EE) 2: /usr/libexec/Xorg (xf86PlatformMatchDriver+0x2a4) [0x496f14]
[   580.020] (EE) 3: /usr/libexec/Xorg (xf86BusProbe+0x9) [0x46e8e9]
[   580.020] (EE) 4: /usr/libexec/Xorg (InitOutput+0x74a) [0x47d44a]
[   580.020] (EE) 5: /usr/libexec/Xorg (InitFonts+0x216) [0x43aea6]
[   580.022] (EE) 6: /lib64/libc.so.6 (__libc_start_main+0xf1) [0x7f2964d6b401]
[   580.022] (EE) 7: /usr/libexec/Xorg (_start+0x2a) [0x424d5a]
[   580.022] (EE) 8: ? (?+0x2a) [0x2a]
[   580.022] (EE) 
[   580.022] (EE) Segmentation fault at address 0x50
[   580.022] (EE) 
Fatal server error:
[   580.022] (EE) Caught signal 11 (Segmentation fault). Server aborting
[   580.022] (EE) 
[   580.022] (EE) 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
[   580.022] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[   580.023] (EE) 
[   580.023] (EE) Server terminated with error (1). Closing log file.

``

Note You need to log in before you can comment on or make changes to this bug.